<packet name="MapFogDataUpdateMsg">
	<version number="1">
		<u8 name="num_fog2_locations">
		<array name="locations2_array" count="var:num_fog2_locations">
			<u32 name="fog2_location_unknown1">
			<str16 name="fog2_location_name">
			<f32 name="fog2_location_bounds1_x">
			<f32 name="fog2_location_bounds1_z">
			<f32 name="fog2_location_bounds2_x">
			<f32 name="fog2_location_bounds2_z">
			<u16 name="fog2_unknown4">
			<u16 name="fog2_compressed_size">
			<array name="fog2_compressed_data_array" count="var:fog2_compressed_size">
				<u8 name="fog2_compressed_data">
			</array>
		</array>
	</version>
</packet>